<?php

//ini_set('display_errors', 1);

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: *");
//header('Access-Control-Allow-Credentials', 'true');
// Require the initialization file
require_once '../../../../init.php';

$databaseType = $GLOBALS['_MAX']['CONF']['database']['type'];
$databaseTypeMap = [
    'mysql' => 'mysql.php',
    'pgsql' => 'pgsql.php',
    'mysqli' => 'mysqli.php',
];

if (isset($databaseTypeMap[$databaseType])) {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/' . $databaseTypeMap[$databaseType];
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
$admin_path = $GLOBALS['_MAX']['CONF']['webpath']['admin'];
$djprotocol = $GLOBALS['_MAX']['SSL_REQUEST'] ? 'https://' : 'http://';
$path = $djprotocol . $GLOBALS['_MAX']['CONF']['webpath']['delivery'];
$parth = explode('www', $path);
$root_path = $parth[0];
$app_path = $GLOBALS['_MAX']['CONF']['dsp']['apphost'];

if ($GLOBALS['_MAX']['CONF']['dsp']['appport'] != '') {
    $app_path .= ':' . $GLOBALS['_MAX']['CONF']['dsp']['appport'];
}

$js_path = $djprotocol . $GLOBALS['_MAX']['CONF']['webpath']['admin'] . '/plugins/HbInvocation/assets/js/';
$css_path = $djprotocol . $GLOBALS['_MAX']['CONF']['webpath']['admin'] . '/plugins/HbInvocation/assets/css/';
$videoads_path = $djprotocol . $GLOBALS['_MAX']['CONF']['webpath']['admin'] . '/plugins/VideoAds/delivery/';

$redishost = $GLOBALS['_MAX']['CONF']['Redisdatabase']['host'];
$redisport = $GLOBALS['_MAX']['CONF']['Redisdatabase']['port'];
$redispassword = $GLOBALS['_MAX']['CONF']['Redisdatabase']['password'];

$redis = new Redis();
$redis->connect($redishost, $redisport);

$name = $GLOBALS['_MAX']['CONF']['database']['name']; // Unique key for redis
$query1 = OA_Dal_Delivery_query("SELECT refresh_interval FROM {$table_prefix}affiliates WHERE affiliateid = {$_GET['affiliateid']}");
$Intervalue = OA_Dal_Delivery_fetchAssoc($query1);

$exst_zone = OA_Dal_Delivery_query("SELECT zoneid FROM {$table_prefix}zones WHERE ad_solt_id IS NOT NULL AND ad_solt_id != '' AND affiliateid = {$_GET['affiliateid']}");


$adUnits = [];

 $zonedata=[];
while ($zoneinfo = OA_Dal_Delivery_fetchAssoc($exst_zone)) {
	
    $retun = $redis->get("{$table_prefix}djax_thirdparty_invocation_{$name}_{$zoneinfo['zoneid']}");
    $biddingdetails = json_decode($retun, true);
    $bidders = unserialize($biddingdetails['bidder_detail']);
	$timeout=1000;
  
    if (!empty($bidders)) {
        
   	$timeout = $biddingdetails['timeout'];
    $server_details = unserialize($biddingdetails['server_details']);
	$bidderdetails = [];

   $query = OA_Dal_Delivery_query("SELECT width, height, floor_price, ad_solt_id, adunit_id, delivery FROM {$table_prefix}zones WHERE zoneid = {$zoneinfo['zoneid']}");
    $value = OA_Dal_Delivery_fetchAssoc($query);

    $bidfloor = round($value['floor_price'], 2);
    $adplacementdiv = $value['adunit_id'];
    $ad_slot_id = $value['ad_solt_id'];
    $postbid = "prebid_iframe" . rand(10, 999999);

    if ($adunit_id = $biddingdetails['adunit']) {
        $postbid = $adunit_id;
    }
    foreach ($bidders as $key => $value1) {
        foreach ($value1 as $val => $params) {
            $bidderdetails[] = ['bidder' => $val, 'params' => $params];
        }
    }

    $bidders_list = array_keys($bidders['bidder']);
    $bidders_list_json = json_encode($bidders_list);
    $bidder_detail_json = json_encode($bidderdetails);

    $query1 = OA_Dal_Delivery_query("SELECT account_id, default_vendor FROM {$table_prefix}hb_serverside_settings");
    $value1 = OA_Dal_Delivery_fetchAssoc($query1);

    if ($value['delivery'] == 0 || $value['delivery'] == 1) {
        $serverside_banner = '';

        if ($biddingdetails['bidding_type'] == 2) {
            $s2sconfig = [];
            foreach ($server_details as $details) {
                $s2sconfig[] = [
                    'accountId' => $details['accountId'],
                    'bidders' => $bidders_list_json,
                    'defaultVendor' => $details['defaultVendor'],
                    'timeout' => $timeout
                ];
            }

            $config = count($s2sconfig) == 1 ? 
                's2sConfig: ' . json_encode($s2sconfig[0]) : 
                's2sConfig: ' . json_encode($s2sconfig);

            $serverside_banner = "pbjs.setConfig({ $config });";
        }

        $adUnits[] = [
            "code" => $ad_slot_id,
            "mediaTypes" => [
                "banner" => [
                    "sizes" => [$value['width'] . ',' . $value['height']]
                ]
            ],
            "floors" =>[
		"currency"=> "USD",		             
                  "schema"=> [
                  "fields"=> ['adUnitCode', 'size' ]
              ],
		"values"=>[
		
			$ad_slot_id."|".$value["width"] . "x" . $value["height"]=> $bidfloor,
			
			
			]
		],
            "zoneids" => $zoneinfo['zoneid'],
            "bids" => $bidder_detail_json
        ];
    }
	}else
	{
			$query3 = OA_Dal_Delivery_query("SELECT  ad_solt_id FROM {$table_prefix}zones WHERE zoneid = {$zoneinfo['zoneid']}");
			$value3 = OA_Dal_Delivery_fetchAssoc($query3);
			$ad_slot_id = $value3['ad_solt_id'];
         $zonedata[] = [
				"zoneids" => $zoneinfo['zoneid'],
				"adslot" => $ad_slot_id
			];
   
	}
}


$data = json_decode(json_encode($adUnits), true);

foreach ($data as &$item) {
    if (isset($item['bids'])) {
        $item['bids'] = json_decode($item['bids'], true);
    }
    if (isset($item['mediaTypes']['banner']['sizes'])) {
        $sizes = $item['mediaTypes']['banner']['sizes'];
        $item['mediaTypes']['banner']['sizes'] = array_map(function ($size) {
            return array_map('intval', explode(',', $size));
        }, $sizes);
    }
    
}

$newJsonString = json_encode($data, JSON_PRETTY_PRINT);
$insdeliverypath = md5("{$conf['webpath']['delivery']}*{$conf['webpath']['deliverySSL']}");

$refreshVal =0;
if(!empty($Intervalue)){
	$refreshVal = (int)$Intervalue["refresh_interval"] * 1000;
	}


// prebid delivery script generation

if(!empty($data)){
$hbinvocation_tag = '<script src="'.$path.'/prebid.js"></script>
<script type="text/javascript">
window.googletag = window.googletag || {cmd: []};
googletag.cmd.push(function() {
    googletag.pubads().addEventListener("slotOnload", function(event) {
        console.log("slotOnload: Ad loaded for slot", event.slot.getSlotElementId());
    });
});

var pbjs = pbjs || {};
pbjs.que = pbjs.que || [];
var refreshInterval ="";
refreshInterval = '.$refreshVal.';
function runPrebidAuction() {

console.log(refreshInterval);
    var PREBID_TIMEOUT = ' . $timeout . ';
    var adUnits = ' . $newJsonString . ';

    pbjs.que.push(function() {
        pbjs.setConfig({
            enableTIDs: true,
            debug: true,
            "currency": {
			"adServerCurrency": "USD",
			"granularityMultiplier": 1,
		 },
		 floors: {}
        });
          
        pbjs.addAdUnits(adUnits);
        pbjs.requestBids({
            bidsBackHandler: function (bids) {
                var noBids = pbjs.getNoBids();
                for (var i = 0; i < adUnits.length; i++) {
                    var highestCpmBids = pbjs.getHighestCpmBids(adUnits[i].code);
                    if (highestCpmBids[0]) {
                        adRenderprebid(highestCpmBids[0], adUnits[i].zoneids);
                    } else {
                        adRenderhousead(adUnits[i].zoneids, adUnits[i].code);
                    }
                }
            }
        });
    });
}

function adRenderprebid(winningBid, zoneId) {
    var params = "&b=" + winningBid.adserverTargeting.hb_bidder +
                 "&source=" + winningBid.adserverTargeting.hb_source +
                 "&bid=" + winningBid.adserverTargeting.hb_pb +
                 "&s=" + winningBid.adserverTargeting.hb_size +
                 "&f=" + winningBid.adserverTargeting.hb_format +
                 "&gdpr_consent=" + localStorage.getItem("_cmpRepromptHash") +
                 "&currency=" + winningBid.currency;
				var div = document.getElementById(winningBid.adUnitCode);
	if(div)
	{
    if (div.getElementsByTagName("iframe").length == 0) {
        div.innerHTML = "";
        var iframe = document.createElement("iframe");
        iframe.scrolling = "no";
        iframe.frameBorder = "0";
        iframe.style.border = "0";
        iframe.style.margin = "0";
        iframe.style.overflow = "hidden";
        div.appendChild(iframe);
        pbjs.renderAd(iframe.contentWindow.document, winningBid.adId);
        new Image().src = "' . $path . '/track.php?zoneid=" + zoneId + params;
    } else {
        setTimeout(function() {
            div.innerHTML = "";
            var iframe = document.createElement("iframe");
            iframe.scrolling = "no";
            iframe.frameBorder = "0";
            iframe.style.border = "0";
            iframe.style.margin = "0";
            iframe.style.overflow = "hidden";
            div.appendChild(iframe);
            pbjs.renderAd(iframe.contentWindow.document, winningBid.adId);
            new Image().src = "' . $path . '/track.php?zoneid=" + zoneId + params;
        }, refreshInterval);
    }
}
}

function adRenderhousead(zoneids, dvplaceid) {

    var divhouse = document.getElementById(dvplaceid);
    
	if(divhouse)
	{
    
       if (divhouse.getElementsByTagName("iframe").length == 0) {
        divhouse.innerHTML = "";
        var apicall ="' . $path . '/asyncspcHB.php?zones="+zoneids+"&prefix=revive-0-&loc="+window.location.href;
        fetch(apicall) 
						.then(response => {       
							return response.text(); 
						}).then(htmlContent => {
							divhouse.innerHTML=htmlContent;
							var mainscript = divhouse.getElementsByTagName("script");
							for (var scriptTags of mainscript) {
							  var scriptContent = scriptTags.textContent;
							  eval(scriptContent);
							  if (scriptTags.src) {
								var scriptElement = document.createElement("script");
								scriptElement.src = scriptTags.src;
								document.head.appendChild(scriptElement);
							  }
							}
						});
       
        
        
    } else {
        setTimeout(function() {
            divhouse.innerHTML = "";
             var apicall ="' . $path . '/asyncspcHB.php?zones="+zoneids+"&prefix=revive-0-&loc="+window.location.href;
				fetch(apicall) 
						.then(response => {       
							return response.text(); 
						}).then(htmlContent => {
							divhouse.innerHTML=htmlContent;
							var mainscript = divhouse.getElementsByTagName("script");
							for (var scriptTags of mainscript) {
							  var scriptContent = scriptTags.textContent;
							  eval(scriptContent);
							  if (scriptTags.src) {
								var scriptElement = document.createElement("script");
								scriptElement.src = scriptTags.src;
								document.head.appendChild(scriptElement);
							  }
							}
						});
        }, refreshInterval);
    }
}
}

setTimeout(runPrebidAuction, 1000);
</script>';
}else{
	
	$zonedata = json_encode($zonedata);
	$hbinvocation_tag = '
<script type="text/javascript">
var refreshInterval ="";
refreshInterval = '.$refreshVal.';
		var zoneinfo='.$zonedata.';
		
		setTimeout(function() {
			zoneinfo.forEach(function(item, index) {
            adRendersolt(item.zoneids, item.adslot)
        });
   }, 1000);
function adRendersolt(zoneids, dvplaceid) {
    var divhouse = document.getElementById(dvplaceid);
     if (divhouse.getElementsByTagName("iframe").length == 0) {
        divhouse.innerHTML = "";
        var apicall ="' . $path . '/asyncspcHB.php?zones="+zoneids+"&prefix=revive-0-&loc="+window.location.href;
        fetch(apicall) 
						.then(response => {       
							return response.text(); 
						}).then(htmlContent => {
							divhouse.innerHTML=htmlContent;
							var mainscript = divhouse.getElementsByTagName("script");
							for (var scriptTags of mainscript) {
							  var scriptContent = scriptTags.textContent;
							  eval(scriptContent);
							  if (scriptTags.src) {
								var scriptElement = document.createElement("script");
								scriptElement.src = scriptTags.src;
								document.head.appendChild(scriptElement);
							  }
							}
						});
       
        
        
    } else {
        setTimeout(function() {
            divhouse.innerHTML = "";
             var apicall ="' . $path . '/asyncspcHB.php?zones="+zoneids+"&prefix=revive-0-&loc="+window.location.href;
				fetch(apicall) 
						.then(response => {       
							return response.text(); 
						}).then(htmlContent => {
							divhouse.innerHTML=htmlContent;
							var mainscript = divhouse.getElementsByTagName("script");
							for (var scriptTags of mainscript) {
							  var scriptContent = scriptTags.textContent;
							  eval(scriptContent);
							  if (scriptTags.src) {
								var scriptElement = document.createElement("script");
								scriptElement.src = scriptTags.src;
								document.head.appendChild(scriptElement);
							  }
							}
						});
        }, refreshInterval);
    }
}
      
</script>';
	}
echo $hbinvocation_tag;

?>
