<?php

require_once '../../../../init.php';

require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/config.php';

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];


//get file location
$orpath = $GLOBALS['_MAX']['SSL_REQUEST'] ? 'https://'.$GLOBALS['conf']['webpath']['admin'] : 'http://'.$GLOBALS['conf']['webpath']['admin'];
$orpath  = explode('/',$orpath);
array_pop($orpath);
$orpath = implode('/',$orpath);

// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_MANAGER, OA_ACCOUNT_TRAFFICKER);
OA_Permission::enforceAccountPermission(OA_ACCOUNT_TRAFFICKER, OA_PERM_SUPER_ACCOUNT);
//OA_Permission::enforceAccessToObject('affiliates', $affiliateid);

$aErrormessage = [];
$a='http://'.$GLOBALS['conf']['webpath']['admin'].'/';
$translation = new OX_Translation();

//Connecting to Redis

$redishost=$GLOBALS['_MAX']['CONF']['Redisdatabase']['host'];
$redisport=$GLOBALS['_MAX']['CONF']['Redisdatabase']['port'];
$redispassword=$GLOBALS['_MAX']['CONF']['Redisdatabase']['password'];

$redis = new Redis();
$redis->connect($redishost, $redisport);

//unique key for redis
$name = $GLOBALS['_MAX']['CONF']['database']['name'];
//$name = $_SERVER['HTTP_HOST'];

$action = $_GET['action'];

switch($action){
	case 'pubdelete':
		$ad_ids= explode(',',$_GET['bid']);['bid'];
		$aff_id = $_GET['aid'];
		$bid_name = isset($_GET['bname'])? $_GET['bname'] : "Selected bidder";
		$page = $_GET['page'] ? $_GET['page'] : '1';
		
		foreach($ad_ids as $id){

		$query =OA_Dal_Delivery_query("select * from {$table_prefix}djax_thirdparty_invocation WHERE  affiliate_id='$aff_id'");
			
			$hbcode =OA_Dal_Delivery_query("select hb_bidder_code from {$table_prefix}djax_hb_bidders_list WHERE hb_bidder_id='$id'");
		$hbname = OA_Dal_Delivery_fetchAssoc($hbcode);
		
		while($data = OA_Dal_Delivery_fetchAssoc($query))
		{
			$bidder_detail = unserialize($data['bidder_detail']);
			$bid = unserialize($data['bidders']);
			$bid_id = unserialize($data['bidder_id']);
			$bname=	$hbname['hb_bidder_code'];
			unset($bidder_detail['bidder'][$bname]);
			unset($bid[$id]);
			if(in_array($id, $bid_id)){
				$index = array_search($id, $bid_id);
				unset($bid_id[$index]);
			}
		
			$details = serialize($bidder_detail);
			$bdetails = serialize($bid);
			$bidder_id = serialize($bid_id);
		
			$val=json_encode(['bidder_detail' => $details, 'bidders' => $bdetails, 'bidder_id' => $bidder_id, 'timeout' =>$data['timeout'], 'bidding_type' => $data['bidding_type'], 'vid_details' => $data['vid_details'], 'affiliate_id' => $data['affiliate_id'], 'zone_id' => $data['zone_id']]);
			$redis->set("{$table_prefix}djax_thirdparty_invocation_{$name}_{$data['zone_id']}",$val);
		
			OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_thirdparty_invocation SET bidder_detail='{$details}',bidders='{$bdetails}',bidder_id='{$bidder_id}' WHERE affiliate_id={$_GET['aid']} and zone_id={$data['zone_id']}");
		}

			OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_deleted='1', modified_date='".date('Y-m-d H:i:s')."' WHERE bidder_id='$id' and publisher_id='$aff_id'");
			//deleting parameter values while deleting bidder request from publisher side 
	        OA_Dal_Delivery_query("DELETE FROM {$table_prefix}djax_hb_sub_param_value  WHERE hb_bidder_id='$id' and account_id='$aff_id'");
	 
	        OA_Dal_Delivery_query("DELETE FROM {$table_prefix}djax_hb_param_value  WHERE hb_bidder_id='$id' and account_id='$aff_id'");
        	// deleting from the table  		
		}
		
		$translated_message = $translation->translate ("<b style='color:red'> $bid_name has been deleted Successfully.</b>");
		
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
	
		OX_Admin_Redirect::redirect("plugins/HbInvocation/affiliate-headerbid.php?affiliateid=".$_GET['aid']);
		break;
	
	case 'pubdisable':
		$ad_ids= explode(',',$_GET['bid']);
		$aff_id = $_GET['aid'];
		$bid_name = isset($_GET['bname'])? $_GET['bname'] : "Selected bidder";
		$page = $_GET['page'] ? $_GET['page'] : '1';
		$blocked_bid = true;

		foreach($ad_ids as $id){

			$query =OA_Dal_Delivery_query("select * from {$table_prefix}djax_thirdparty_invocation WHERE  affiliate_id='$aff_id'");

			$hbcode =OA_Dal_Delivery_query("select hb_bidder_code from {$table_prefix}djax_hb_bidders_list WHERE hb_bidder_id='$id'");
			
			$hbname = OA_Dal_Delivery_fetchAssoc($hbcode);
			
			while($data = OA_Dal_Delivery_fetchAssoc($query))
			{
				$retun=$redis->get("{$table_prefix}djax_thirdparty_invocation_{$name}_{$data['zone_id']}");	
			
				$response = json_decode($retun);

				$bidder_detail = $response->bidder_detail;
				$bid = $response->bidders;
				$bid_id = $response->bidder_id;
				$timeout = $response->timeout;
				$bidding_type = $response->bidding_type;
				$vid_details = $response->vid_details;
				
				$bidder_detail = unserialize($bidder_detail);
				$bid = unserialize($bid);
				$bid_id = unserialize($bid_id);
				$bname=	$hbname['hb_bidder_code'];
				unset($bidder_detail['bidder'][$bname]);
				unset($bid[$id]);
			
				if(in_array($id, $bid_id)){
					$index = array_search($id, $bid_id);
					unset($bid_id[$index]);
				}

				$details = serialize($bidder_detail);
				$bdetails = serialize($bid);
				$bidder_id = serialize($bid_id);
			
				$val=json_encode(['bidder_detail' => $details, 'bidders' => $bdetails, 'bidder_id' => $bidder_id, 'timeout' =>$data['timeout'], 'bidding_type' => $data['bidding_type'], 'vid_details' => $data['vid_details'], 'affiliate_id' => $data['affiliate_id'], 'zone_id' => $data['zone_id']]);
				$redis->set("{$table_prefix}djax_thirdparty_invocation_{$name}_{$data['zone_id']}",$val);
			
			}
		
			//block bidder			
			OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_denied='1', modified_date='".date('Y-m-d H:i:s')."' WHERE bidder_id='$id' and publisher_id='$aff_id'");
			
			$check_blocked_bid_status = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT * FROM {$table_prefix}djax_bidder_request WHERE bidder_id='$id' and publisher_id='$aff_id'"));
			if($check_blocked_bid_status["is_approved"] == 1) {
				$blocked_bid = false;
			}
		}
		
		if($blocked_bid == false )
		{
		$translated_message = $translation->translate ("<b style='color:red'> $bid_name has been blocked Successfully.</b>");
		
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		}

		OX_Admin_Redirect::redirect("plugins/HbInvocation/affiliate-headerbid.php?affiliateid=".$_GET['aid']);
		break;
	case 'pubenable':
		$ad_ids= explode(',',$_GET['bid']);['bid'];
		$aff_id = $_GET['aid'];
		$bid_name = isset($_GET['bname'])? $_GET['bname'] : "Selected bidder";
		$page = $_GET['page'] ? $_GET['page'] : '1';
		$blocked_bid = true;
		foreach($ad_ids as $id){

			$query =OA_Dal_Delivery_query("select * from {$table_prefix}djax_thirdparty_invocation WHERE  affiliate_id='$aff_id'");
			
			$hbcode =OA_Dal_Delivery_query("select hb_bidder_code from {$table_prefix}djax_hb_bidders_list WHERE hb_bidder_id='$id'");
			$hbname = OA_Dal_Delivery_fetchAssoc($hbcode);
			
			while($data = OA_Dal_Delivery_fetchAssoc($query))
			{
				$zoneId = $data['zone_id'];
			
				//from db get the data of the bidder to be unblocked
				$bidder_detail = unserialize($data['bidder_detail']);
				$bid = unserialize($data['bidders']);
				$bid_id = unserialize($data['bidder_id']);
				$bname=	$hbname['hb_bidder_code'];

				$unblock_bidderDetail = $bidder_detail['bidder'][$bname];
				$unblock_bidders = $bid[$id];
		
				if(in_array($id, $bid_id)){
					$index = array_search($id, $bid_id);
					$unblock_bids = $bid_id[$index];
				}
	
				$retun=$redis->get("{$table_prefix}djax_thirdparty_invocation_{$name}_{$zoneId}");
				$response = json_decode($retun);
		
				//from the redis data add the unblocked bidder values
				$redis_bidder_detail = unserialize($response->bidder_detail);
				$redis_bid = unserialize($response->bidders);
				$redis_bid_id = unserialize($response->bidder_id);
		
				if($unblock_bidderDetail)
					$redis_bidder_detail['bidder'][$bname] = $unblock_bidderDetail;
	
				$redis_bid[$id] = $unblock_bidders;
			
				$redis_bid_id[] = $unblock_bids;
		
				$details = serialize($redis_bidder_detail);
				$bdetails = serialize($redis_bid);
				$bidder_id = serialize($redis_bid_id);
		
				//updated values stored in redis
				$val=json_encode(array('bidder_detail' => $details, 'bidders' => $bdetails, 'bidder_id' => $bidder_id, 'timeout' =>$data['timeout'], 'bidding_type' => $data['bidding_type'], 'vid_details' => $data['vid_details'], 'affiliate_id' => $data['affiliate_id'], 'zone_id' => $zoneId));
	
				$redis->set("{$table_prefix}djax_thirdparty_invocation_{$name}_{$zoneId}",$val);
		
			}
			//block bidder
			OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_denied='0', modified_date='".date('Y-m-d H:i:s')."' WHERE bidder_id='$id' and publisher_id='$aff_id'");
	
			$check_blocked_bid_status = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT * FROM {$table_prefix}djax_bidder_request WHERE bidder_id='$id' and publisher_id='$aff_id' and is_admin_deleted !=1 "));
			if($check_blocked_bid_status["is_approved"] == 1) {
				$blocked_bid = false;
			}
		}
	
		if($blocked_bid == false )
		{
			$translated_message = $translation->translate ("<b> $bid_name has been unblocked Successfully.</b>");
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		}

		OX_Admin_Redirect::redirect("plugins/HbInvocation/affiliate-headerbid.php?affiliateid=".$_GET['aid']);
		break;
		
}

phpAds_PageFooter();
?>