<?php

require_once '../../../../init.php';

require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/config.php';

if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql'){
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql'){
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli'){
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

//get file location
	$orpath = $GLOBALS['_MAX']['SSL_REQUEST'] ? 'https://'.$GLOBALS['conf']['webpath']['admin'] : 'http://'.$GLOBALS['conf']['webpath']['admin'];
	$orpath  = explode('/',$orpath);
	array_pop($orpath);
	$orpath = implode('/',$orpath);

// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_MANAGER, OA_ACCOUNT_TRAFFICKER);
OA_Permission::enforceAccountPermission(OA_ACCOUNT_TRAFFICKER, OA_PERM_SUPER_ACCOUNT);

$aErrormessage = [];
$a='http://'.$GLOBALS['conf']['webpath']['admin'].'/';
$translation = new OX_Translation();

/** Connecting to Redis server **/
$redishost=$GLOBALS['_MAX']['CONF']['Redisdatabase']['host'];
$redisport=$GLOBALS['_MAX']['CONF']['Redisdatabase']['port'];
$redispassword=$GLOBALS['_MAX']['CONF']['Redisdatabase']['password'];

$redis = new Redis();
//Connecting to Redis
$redis->connect($redishost, $redisport);

$name = $GLOBALS['_MAX']['CONF']['database']['name'];

//publisher side block,unblock and delete bidder

$action = $_GET['action'];

switch($action){
	case 'pubdelete':
		$ad_ids= explode(',',$_GET['bid']);['bid'];
		$aff_id = $_GET['aid'];
		$bid_name = isset($_GET['bname'])? $_GET['bname'] : "Selected bidder";
		$page = $_GET['page'] ? $_GET['page'] : '1';
		$getaffid = OA_Dal_Delivery_query("SELECT affiliateid FROM  {$table_prefix}affiliates ");
		$affid = OA_Dal_Delivery_fetchAssoc($getaffid);
		
		foreach($ad_ids as $id){
			OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_deleted='1', modified_date='".date('Y-m-d H:i:s')."' WHERE bidder_id='$id' and publisher_id='$aff_id'");
		//deleting parameters while deleting bidder request from publisher side 
	        OA_Dal_Delivery_query("DELETE FROM {$table_prefix}djax_hb_sub_param_value  WHERE hb_bidder_id='$id' and account_id='$aff_id'");
	 
	        OA_Dal_Delivery_query("DELETE FROM {$table_prefix}djax_hb_param_value  WHERE hb_bidder_id='$id' and account_id='$aff_id'");
        // deleting from the table  		
		}
		
		$translated_message = $translation->translate ("<b style='color:red'> $bid_name has been deleted Successfully.</b>");
		
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
	
		OX_Admin_Redirect::redirect("affiliate-headerbid.php?affiliateid=".$_GET['aid']);
		break;
	
	case 'pubdisable':
		$ad_ids= explode(',',$_GET['bid']);['bid'];
		$aff_id = $_GET['aid'];
		$bid_name = isset($_GET['bname'])? $_GET['bname'] : "Selected bidder";
		$page = $_GET['page'] ? $_GET['page'] : '1';
		$blocked_bid = true;

		foreach($ad_ids as $id){
			
			//block bidder			
			OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_denied='1', modified_date='".date('Y-m-d H:i:s')."' WHERE bidder_id='$id' and publisher_id='$aff_id'");
			
			$check_blocked_bid_status = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT * FROM {$table_prefix}djax_bidder_request WHERE bidder_id='$id' and publisher_id='$aff_id'"));
			if($check_blocked_bid_status["is_approved"] == 1) {
				$blocked_bid = false;
			}
		}
		
		if($blocked_bid == false )
		{
			$translated_message = $translation->translate ("<b style='color:red'> $bid_name has been blocked Successfully.</b>");
			
			OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		}

		OX_Admin_Redirect::redirect("affiliate-headerbid.php?affiliateid=".$_GET['aid']);
		break;
	case 'pubenable':
		$ad_ids= explode(',',$_GET['bid']);['bid'];
		$aff_id = $_GET['aid'];
		$bid_name = isset($_GET['bname'])? $_GET['bname'] : "Selected bidder";
		$page = $_GET['page'] ? $_GET['page'] : '1';
		$blocked_bid = true;
		foreach($ad_ids as $id){
			
			//block bidder
			OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_denied='0', modified_date='".date('Y-m-d H:i:s')."' WHERE bidder_id='$id' and publisher_id='$aff_id'");

			$check_blocked_bid_status = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT * FROM {$table_prefix}djax_bidder_request WHERE bidder_id='$id' and publisher_id='$aff_id' and is_admin_deleted !=1 "));
			if($check_blocked_bid_status["is_approved"] == 1) {
				$blocked_bid = false;
			}
					
		}

		if($blocked_bid == false )
		{
		$translated_message = $translation->translate ("<b> $bid_name has been unblocked Successfully.</b>");
		
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		}
	
		OX_Admin_Redirect::redirect("affiliate-headerbid.php?affiliateid=".$_GET['aid']);
		break;
	case 'admindelete':
		//requested bidder delete in admin side
		$id= $_GET['bid'];
		$aff_id = $_GET['pid'];
		$bid_name = isset($_GET['bname'])? $_GET['bname'] : "Selected bidder";
		$pub_name = isset($_GET['pname'])? "In ".$_GET['pname'] : "";
		
		OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_admin_deleted='1', modified_date='".date('Y-m-d H:i:s')."' WHERE bidder_id='$id' and publisher_id='$aff_id'");		
		
		$translated_message = $translation->translate ("<b style='color:red'>$pub_name $bid_name has been deleted Successfully.</b>");
		
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
	
		OX_Admin_Redirect::redirect("bidder-approval-index.php");
		break;
			
	case 'adminblock':
		//requested bidder block in admin side
		$id= $_GET['bid'];
		$aff_id = $_GET['pid'];
		$bid_name = isset($_GET['bname'])? $_GET['bname'] : "Selected bidder";
		$pub_name = isset($_GET['pname'])? "In ".$_GET['pname'] : "";
		
		//block bidder			
		OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_admin_denied='1', modified_date='".date('Y-m-d H:i:s')."' WHERE bidder_id='$id' and publisher_id='$aff_id'");
		
		$translated_message = $translation->translate ("<b style='color:red'>$pub_name $bid_name has been blocked Successfully.</b>");
		
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
	
		OX_Admin_Redirect::redirect("bidder-approval-index.php");
		break;
	case 'adminunblock':
		//requested bidder unblock in admin
		$id= $_GET['bid'];
		$aff_id = $_GET['pid'];
		$bid_name = isset($_GET['bname'])? $_GET['bname'] : "Selected bidder";
		$pub_name = isset($_GET['pname'])? "In ".$_GET['pname'] : "";
		
		//block bidder
		OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_admin_denied='0', modified_date='".date('Y-m-d H:i:s')."' WHERE bidder_id='$id' and publisher_id='$aff_id'");
			
		$translated_message = $translation->translate ("<b>$pub_name $bid_name has been unblocked Successfully.</b>");
		
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
	
		OX_Admin_Redirect::redirect("bidder-approval-index.php");
		break;
	case 'disable':
		//bidder block in admin side
		$adx_ids=explode(',',$_GET['aid']);
	
		$page = $_GET['page'] ? $_GET['page'] : '1';
	
		foreach($adx_ids as $id){		
		
		$getaffid = OA_Dal_Delivery_query("SELECT affiliateid FROM  {$table_prefix}affiliates ");
		while($affid = OA_Dal_Delivery_fetchAssoc($getaffid))
		{
			$query =OA_Dal_Delivery_query("select * from {$table_prefix}djax_thirdparty_invocation WHERE  affiliate_id={$affid['affiliateid']}");
			$hbcode =OA_Dal_Delivery_query("select hb_bidder_code from {$table_prefix}djax_hb_bidders_list WHERE hb_bidder_id='$id'");
			$hbname = OA_Dal_Delivery_fetchAssoc($hbcode);
			while($data = OA_Dal_Delivery_fetchAssoc($query))
			{
				$bidder_detail = unserialize($data['bidder_detail']);
				$bid = unserialize($data['bidders']);
				$bid_id = unserialize($data['bidder_id']);
				$bname=$hbname['hb_bidder_code'];
				unset($bidder_detail['bidder'][$bname]);
				unset($bid[$_GET['bid']]);
				unset($bid_id[0]);
				
				$details = serialize($bidder_detail);
				$bdetails = serialize($bid);
				$bidder_id = serialize($bid_id);
			
				$val=json_encode(['bidder_detail' => $details, 'bidders' => $bdetails, 'bidder_id' => $bidder_id, 'timeout' =>$data['timeout'], 'bidding_type' => $data['bidding_type'], 'vid_details' => $data['vid_details'], 'affiliate_id' => $data['affiliate_id'], 'zone_id' => $data['zone_id']]);
				$redis->set("{$table_prefix}djax_thirdparty_invocation_{$name}_{$data['zone_id']}",$val);
				$retun=$redis->get("{$table_prefix}djax_thirdparty_invocation_{$name}_{$data['zone_id']}");

			}
			//block bidder			
			OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_denied='1', modified_date='".date('Y-m-d H:i:s')."' WHERE bidder_id='$id' and publisher_id={$affid['affiliateid']}");
			
			$check_blocked_bid_status = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT * FROM {$table_prefix}djax_bidder_request WHERE bidder_id='$id' and publisher_id={$affid['affiliateid']}"));
			if($check_blocked_bid_status["is_approved"] == 1) {
				$blocked_bid = false;
			}
		}

		OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_hb_bidders_list SET dj_is_denied='1' WHERE hb_bidder_id='".$id."' ");
			
		}
	
		$translated_message = $translation->translate ("<b style='color:red'>Selected Bidder Access has been Denied Successfully.</b>");
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		OX_Admin_Redirect::redirect("plugins/HbSettings/bidder-list-index.php?page=".$page);
		breaK;
		case 'enable':
			//bidder unblock in admin side
			$adx_ids=explode(',',$_GET['aid']);
			$page = $_GET['page'] ? $_GET['page'] : '1';
			
			foreach($adx_ids as $id){		
				
				OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_hb_bidders_list SET dj_is_denied='0' WHERE hb_bidder_id='".$id."' ");
			
				$getaffid = OA_Dal_Delivery_query("SELECT affiliateid FROM  {$table_prefix}affiliates ");
				while($affid = OA_Dal_Delivery_fetchAssoc($getaffid))
				{
				
				$query =OA_Dal_Delivery_query("select * from {$table_prefix}djax_thirdparty_invocation WHERE  affiliate_id={$affid['affiliateid']}");
				$hbcode =OA_Dal_Delivery_query("select hb_bidder_code from {$table_prefix}djax_hb_bidders_list WHERE hb_bidder_id='$id'");
				$hbname = OA_Dal_Delivery_fetchAssoc($hbcode);
				while($data = OA_Dal_Delivery_fetchAssoc($query))
				{
					$val=json_encode(['bidder_detail' => $data['bidder_detail'], 'bidders' => $data['bidders'], 'bidder_id' => $data['bidder_id'], 'timeout' =>$data['timeout'], 'bidding_type' => $data['bidding_type'], 'vid_details' => $data['vid_details'], 'affiliate_id' => $data['affiliate_id'], 'zone_id' => $data['zone_id']]);
					$redis->set("{$table_prefix}djax_thirdparty_invocation_{$name}_{$data['zone_id']}",$val);
		
				}
				OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_denied='0', modified_date='".date('Y-m-d H:i:s')."' WHERE bidder_id='$id' and publisher_id={$affid['affiliateid']}");

				}
			}
			$translated_message = $translation->translate ("<b>Selected Bidder Access has been Approved Successfully.</b>");
			OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
			OX_Admin_Redirect::redirect("plugins/HbSettings/bidder-list-index.php?page=".$page);
			break;

	case 'delete':	
		//bidder delete in admin side
		$adx_ids=explode(',',$_GET['aid']);
		$page = $_GET['page'] ? $_GET['page'] : '1';
		
		foreach($adx_ids as $id){		
			$getaffid = OA_Dal_Delivery_query("SELECT affiliateid FROM  {$table_prefix}affiliates ");
		
			while($affid = OA_Dal_Delivery_fetchAssoc($getaffid))
			{
			$query =OA_Dal_Delivery_query("select * from {$table_prefix}djax_thirdparty_invocation WHERE  affiliate_id={$affid['affiliateid']}");
			$hbcode =OA_Dal_Delivery_query("select hb_bidder_code from {$table_prefix}djax_hb_bidders_list WHERE hb_bidder_id='$id'");
			$hbname = OA_Dal_Delivery_fetchAssoc($hbcode);

			while($data = OA_Dal_Delivery_fetchAssoc($query)){
	
				$bidder_detail = unserialize($data['bidder_detail']);
				$bid = unserialize($data['bidders']);
				$bid_id = unserialize($data['bidder_id']);
				$bname=	$hbname['hb_bidder_code'];
				unset($bidder_detail['bidder'][$bname]);
				unset($bid[$_GET['aid']]);
				unset($bid_id[0]);
				
				$details = serialize($bidder_detail);
				$bdetails = serialize($bid);
				$bidder_id = serialize($bid_id);
			
				$val=json_encode(['bidder_detail' => $details, 'bidders' => $bdetails, 'bidder_id' => $bidder_id, 'timeout' =>$data['timeout'], 'bidding_type' => $data['bidding_type'], 'vid_details' => $data['vid_details'], 'affiliate_id' => $data['affiliate_id'], 'zone_id' => $data['zone_id']]);
				$redis->set("{$table_prefix}djax_thirdparty_invocation_{$name}_{$data['zone_id']}",$val);
				$retun=$redis->get("{$table_prefix}djax_thirdparty_invocation_{$name}_{$data['zone_id']}");

				OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_thirdparty_invocation SET bidder_detail='{$details}',bidders='{$bdetails}',bidder_id='{$bidder_id}' WHERE affiliate_id={$affid} and zone_id={$data['zone_id']}");
			}
		
		}
		
			OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_hb_bidders_list SET dj_is_deleted='1' WHERE hb_bidder_id='".$id."' ");

			OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_deleted='1' WHERE bidder_id='".$id."' ");
		}

		$translated_message = $translation->translate ("<b style='color:red'>Selected Bidder has been Deleted Successfully.</b>");
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		
		OX_Admin_Redirect::redirect("plugins/HbSettings/bidder-list-index.php?page=".$page);
		break;
	
	case 'paramdel':
		//param delete in admin side
		$pid = $_GET['pid'];
		$page = $_GET['page'] ? $_GET['page'] : '1';	
		
		OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_hb_params SET dj_is_deleted='1' WHERE hb_parameter_id='".$pid."' ");
	
		$translated_message = $translation->translate ("<b style='color:red'>".$_GET['text']." has been Deleted Successfully.</b>");
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		
		OX_Admin_Redirect::redirect("plugins/HbSettings/bidder-list-index.php?page=".$page);
		break;
	case 'paramblck':
		//param block in admin side
		$pid = $_GET['pid'];
		$page = $_GET['page'] ? $_GET['page'] : '1';	
		
		OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_hb_params SET dj_is_denied='1' WHERE hb_parameter_id='".$pid."' ");
	
		$translated_message = $translation->translate ("<b style='color:red'>".$_GET['text']." has been Blocked Successfully.</b>");
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		
		OX_Admin_Redirect::redirect("plugins/HbSettings/bidder-list-index.php?page=".$page);
		break;
	case 'paramublck':
		//param unblock in admin side
		$pid = $_GET['pid'];	
		$page = $_GET['page'] ? $_GET['page'] : '1';
		
		OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_hb_params SET dj_is_denied='0' WHERE hb_parameter_id='".$pid."' ");
	
		$translated_message = $translation->translate ("<b>".$_GET['text']." has been Unblocked Successfully.</b>");
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		
		OX_Admin_Redirect::redirect("plugins/HbSettings/bidder-list-index.php?page=".$page);
		break;
	case 'subparamdel':
		//subparam delete in admin side
		$spid = $_GET['spid'];
		$page = $_GET['page'] ? $_GET['page'] : '1';	
		
		OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_hb_sub_param SET dj_is_deleted='1' WHERE hb_sub_parameter_id='".$spid."' ");
		
		$translated_message = $translation->translate ("<b style='color:red'> ".$_GET['text']." has been Deleted Successfully.</b>");
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		
		OX_Admin_Redirect::redirect("plugins/HbSettings/bidder-list-index.php?page=".$page);
		break;
	case 'subparamblck':
		//subparam block in admin side
		$spid = $_GET['spid'];	
		$page = $_GET['page'] ? $_GET['page'] : '1';
		
		OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_hb_sub_param SET dj_is_denied='1' WHERE hb_sub_parameter_id='".$spid."' ");
	
		$translated_message = $translation->translate ("<b style='color:red'> ".$_GET['text']." has been Blocked Successfully.</b>");
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		
		OX_Admin_Redirect::redirect("plugins/HbSettings/bidder-list-index.php?page=".$page);
		break;
	case 'subparamublck':
		//subparam unblock in admin side
		$spid = $_GET['spid'];	
		$page = $_GET['page'] ? $_GET['page'] : '1';
		OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_hb_sub_param SET dj_is_denied='0' WHERE hb_sub_parameter_id='".$spid."' ");
	
		$translated_message = $translation->translate ("<b> ".$_GET['text']." has been Unblocked Successfully.</b>");
		OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		
		OX_Admin_Redirect::redirect("plugins/HbSettings/bidder-list-index.php?page=".$page);
		break;
}

phpAds_PageFooter();
?>
