<?php
    /*
    +---------------------------------------------------------------------------+
    | Revive Adserver                                                           |
    | http://www.revive-adserver.com                                            |
    |                                                                           |
    | Copyright: See the COPYRIGHT.txt file.                                    |
    | License: GPLv2 or later, see the LICENSE.txt file.                        |
    +---------------------------------------------------------------------------+
    */
    
    // Require the initialisation file
    
    require_once '../../../../init.php';
    // Required files
    require_once MAX_PATH . '/www/admin/config.php';
    require_once LIB_PATH . '/Plugin/PluginManager.php';
    require_once LIB_PATH . '/Plugin/ComponentGroupManager.php';
    require_once MAX_PATH . '/lib/pear/Date.php';
    require_once MAX_PATH . '/lib/OA/Dal.php';
     
    $oPluginManager = new OX_PluginManager();
    $oComponentGroupManager = new OX_Plugin_ComponentGroupManager();
    phpAds_PageHeader('ReportBuilder', $oHeaderModel);
    
    /* Store preferences */
    $session['prefs']['inventory_entities'][OA_Permission::getEntityId()]['clientid'] = $clientid;
    $session['prefs']['inventory_entities'][OA_Permission::getEntityId()]['campaignid'][$clientid] = $campaignid;
    phpAds_SessionDataStore();

?>

<!-- DATATABLE EXTENTIONS START -->

<script type="text/javascript" src="assets/js/jquery-3.5.1.js"></script>
<script type="text/javascript" src="assets/DataTables/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="assets/DataTables/dataTables.buttons.min.js"></script>
<script type="text/javascript" src="assets/DataTables/buttons.flash.min.js"></script>
<script type="text/javascript" src="assets/DataTables/jszip.min.js"></script>
<script type="text/javascript" src="assets/DataTables/pdfmake.min.js"></script>
<script type="text/javascript" src="assets/DataTables/jspdf.min.js"></script>
<script type="text/javascript" src="assets/DataTables/vfs_fonts.js"></script>
<script type="text/javascript" src="assets/DataTables/buttons.html5.min.js"></script>
<script type="text/javascript" src="assets/DataTables/buttons.print.min.js"></script>
<script type="text/javascript" src="assets/DataTables/buttons.colVis.min.js"></script>

<link rel="stylesheet" type="text/css" href="assets/DataTables/jquery.dataTables.min.css">
<link rel="stylesheet" type="text/css" href="assets/DataTables/buttons.dataTables.min.css">

<!-- DATATABLE EXTENTIONS END -->

<!-- CHART EXTENTIONS START -->

<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.0/Chart.min.js"></script>
<link rel="stylesheet" type="text/css" href="assets/chart/Chart.min.css">
<script src="assets/chart/Chart.min.js"></script>
<script src="assets/chart/html2canvas.min.js"></script>

<!-- CHART EXTENTIONS END -->

<style type="text/css">

    #chartdiv {
      width: 100%;
      height: 400px;
    }
    
    div.breadcrumb
    {
      z-index: 0 !important;
    }

    div.dt-buttons {
        float: right;
    }  

    .no_data{
        text-align: center;
        color: red;
    }

    #report_header{

        display: flex;
        width: -webkit-fill;
        padding: 15px 20px;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
        margin-bottom: 25px;
    }

    #report_header tbody {

        width: -webkit-fill;
    }

    #export_csv{

        float: right;
        padding: 7px;
        background-color: #3AB86E;
        color: white;
    }

    .button_slide {

      color: white!important;
      /*background-color: #0767A8!important;*/
      background: linear-gradient(#0767A8 9%, #000046  91%, #000046  291%)!important;
      border: unset!important;
      font-size: 13px!important;
    }

    .button_slide:hover{
        opacity: 0.8!important;
    }

    .dt-button-collection, div.dt-button-collection button.dt-button{

        background: white!important;
        padding: 2px!important;
        border: unset!important;
    }

    .dt-button-collection{
        
        background: #ddd!important;
        padding: 10px!important;
    }

    .current{

        /*background: #0767A8!important;*/
        background: linear-gradient(#0767A8 40%, #000046  128%, #000046  153%)!important;
        border: unset!important;
        color: white!important;
    }

    .paginate_button:hover{

        background: #8c8c8c;
    }

    .table_header{

        width: auto;
        padding: 8px;
        text-align: center;
        margin: 10px;
        box-shadow: 11px 15px 33px -15px rgba(0, 0, 0, 0.2);
        border: 1px solid #ccc;
        border-radius: 5px;
    }
    #container {
        
        height: 400px;
    }

    .highcharts-figure, .highcharts-data-table table {
        
        min-width: 310px;
        max-width: 800px;
        margin: 1em auto;
    }

    .chart_div{

        text-align: center;
        margin: 10px;
        box-shadow: 11px 15px 33px -15px rgba(0, 0, 0, 0.2);
        border: 1px solid #ccc;
        border-radius: 5px;
        display: flex; 
        padding: 40px; 
        width: 850px; 
        height: 400px;
    }
   
    .down_btn{

        padding: 10px;
        background: linear-gradient(#0767A8 40%, #000046  128%, #000046  153%);
        /*box-shadow: 4px 6px 8px -5px grey;*/
        opacity: 1;
        color: white;
        cursor: pointer;
    }

    .down_btn:hover{
        opacity: 0.8;
    }



</style>

<!-- <table id="report_header">
    <tr>
        <td><h2>Oct 20 2020</h2></td>
        <td><b class="button_slide generate_button" id="generate_button">Export CSV</b></td>
    </tr>
</table> -->

<center>

    <div class="chart_div" style="display: none;">
        
        <div style="margin-right: 20px; width: 800px; height: 400px;">
            <canvas id="myChart" style="width: 800px; height: 400px;"></canvas>
        </div>

        <div id="download_btn" class="dropdown">

            <div class="down_opt">
                <div id="download_btnjpeg" class="down_btn" style="margin-bottom: 10px;" href="#">JPEG</div>
                <div id="download_btnpng" class="down_btn" style="margin-bottom: 10px;" href="#">PNG</div>
                <div id="download_btnpdf" class="down_btn" style="margin-bottom: 10px;" href="#">PDF</div>
            </div>

       </div>

    </div>

</center>

<div class="border-key">

    <div class="table_header">
        
        <div>

            <table id="report_table" class="display" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th class="aleft" style="font-size:13px;">Bidder Name</th>
                        <th class="aleft" style="font-size:13px;">Impressions</th>
                        <th class="aleft" style="font-size:13px;">Won Bid</th>
                        <th class="aleft" style="font-size:13px;">eCPM</th>
                    </tr>
                </thead>
            </table>

        </div>

    </div>

</div>


<?php
    phpAds_PageFooter();   
?>

<script type="text/javascript" src="report_js.js"></script>
