<?php

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

/*
+---------------------------------------------------------------------------+
| Revive Adserver                                                           |
| http://www.revive-adserver.com                                            |
|                                                                           |
| Copyright: See the COPYRIGHT.txt file.                                    |
| License: GPLv2 or later, see the LICENSE.txt file.                        |
+---------------------------------------------------------------------------+
*/

// Require the initialisation file
require_once '../../../../init.php';

// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';

require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/config.php';

if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql')
{
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql'){
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli'){
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);

$title = "Bidding Type Settings";
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel($title);
phpAds_PageHeader("bidding-type-settings", $oHeaderModel);

// Prepare an array for storing error messages
$aErrormessage = [];
$aConf = $GLOBALS['_MAX']['CONF'];

if($_REQUEST){
	$submit_val = array_values($_REQUEST['submit']);
	$action = $submit_val[0];
}
//exit;

if($_REQUEST){
	$submit_val = array_values($_REQUEST['submit']);
	$action = $submit_val[0];

	$row = key($_REQUEST['submit']);

	$id = $_POST['id'][$row];
	$account_id = trim($_POST['account_id'][$row]);
	$default_vendor = trim($_POST['default_vendor'][$row]);

	switch($action){
		case "submit":
			OA_Dal_Delivery_query("INSERT INTO {$table_prefix}hb_serverside_settings (account_id,default_vendor) VALUES('".$account_id."','".$default_vendor."')");
			break;
		case "Update":
			OA_Dal_Delivery_query("UPDATE {$table_prefix}hb_serverside_settings SET account_id='".$account_id."',default_vendor='".$default_vendor."' where id = ". $id);
			break;
		case "Delete":
			OA_Dal_Delivery_query("DELETE FROM {$table_prefix}hb_serverside_settings where id = ". $id);
			break;
	}


}


if($_REQUEST && $_REQUEST['submit'] == "Update"){

	$update_id = key($_POST['submit']);

	$post_id = $_POST['id'];
	$post_account = $_POST['account_id'];
	$post_vendor = $_POST['default_vendor'];

	$id = $post_id[$update_id];
	$account_id = $post_account[$update_id];
	$default_vendor = $post_vendor[$update_id];

	OA_Dal_Delivery_query("UPDATE {$table_prefix}hb_serverside_settings SET account_id='".$account_id."',default_vendor='".$default_vendor."' where id='". $id ."'");
	

}


if($_REQUEST['submit']=='submit'){

	$post_id = $_POST['id'];
	$post_account = $_POST['account_id'];
	$post_vendor = $_POST['default_vendor'];

	
	OA_Dal_Delivery_query("INSERT INTO {$table_prefix}hb_serverside_settings (account_id,default_vendor) VALUES('".$post_account."','".$post_vendor."')");
	
}

if($_REQUEST && $_REQUEST['delete'] == "Delete"){

	$delete_val = $_POST['delete'];
	
	if($delete_val && count($delete_val) > 0){

		$delete_id = key($delete_val);

		$query = OA_Dal_Delivery_query("Select id FROM {$table_prefix}hb_serverside_settings where id = ".$delete_id);

		if(OA_Dal_Delivery_numRows($query) > 0){
			OA_Dal_Delivery_query("DELETE FROM {$table_prefix}hb_serverside_settings where id = ".$delete_id);
		}
	}
}

$select = OA_Dal_Delivery_query("SELECT * FROM {$table_prefix}hb_serverside_settings");

?>

<html>
	<head>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
		<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
		<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
		<script type="text/javascript">
			var jq = $.noConflict(true);


			jq(document).ready(function () {
				var count = parseInt('<?php echo OA_Dal_Delivery_numRows($select);?>') + 1;
				console.log(count);
				var params = jq("#param-div");
				jq("#add_server").on('click', function () {
					
					var prev_count = count - 1;

					console.log(prev_count);

					console.log("#account_id"+prev_count);
					console.log(jq("#account_id"+prev_count).val);
					if(jq("#account_id"+prev_count).val == ""){
						console.log("here");
					}
					$('#serverDetails tr:last').after('<tr class="row '+count+'" id="'+count+'" hidden><td>&nbsp;</td><td class="bid">ID:</td><td>&nbsp;</td><td><input type="text" name="id[]" id="id_'+count+'" value="'+count+'" class="head-bid" placeholder="Enter account ID" required><br></td></tr><tr class="row '+count+'"><td>&nbsp;</td><td class="bid">Account ID:<span style="color:red;"> * </span></td><td>&nbsp;</td><td><input type="text" name="account_id['+count+']" id="account_id'+count+'" value="" class="head-bid" placeholder="Enter account ID" required><br></td><td rowspan="2"><input type="submit" name="submit['+count+']" value="submit"></td><td rowspan="2"><input type="button" name="remove['+count+']" id="remove_'+count+'" value="Remove" onclick="removefield(this.id)"></tr><tr class="'+count+'"><br/></tr><tr class="'+count+'"></tr><tr class="row '+count+'"><td>&nbsp;</td><td class="bid">Default Vendor:<span style="color:red;"> * </span></td><td>&nbsp;</td><td><input type="text" name="default_vendor['+count+']" id="default_vendor'+count+'" value="" class="head-bid" placeholder="Enter default vendor" required></td></tr><tr class="row '+count+'"><td>&nbsp;</td></tr>');

					jq("#add_server").attr("disabled", true);
				});

			});

			function removefield(clicked_id){
				var remove_elem = clicked_id.split("_");
				var remove_id = remove_elem[1];

				$('.'+remove_id).remove();
				
				/* $("#"+remove_id).next().next().next().next().next().next().remove();
				$("#"+remove_id).next().next().next().next().next().remove();
				$("#"+remove_id).next().next().next().next().remove();
				$("#"+remove_id).next().next().next().remove();
				$("#"+remove_id).next().next().remove();
				$("#"+remove_id).next().remove();
				$("#"+remove_id).remove(); */

			}
		</script>
	
		<style>
			td{
				font-size:15px;
				padding: 6px;
				}
			.head-bid{
					border: 1px solid #888;
				}
			.control-group{
					margin-top: 20px;
				}
		</style>
	</head>
	<body>
		<div id="dj_header">
		<form  action='' method='post' name='settingsform' id='settingsform1' class='form-inline' enctype='multipart/form-data'>
			<div class="control-group"  id="param-div">
				<h3>Server-side HB Settings</h3>
				<hr/>
				<br/><br/>
				<div>

				<!-- <input type="hidden" name="added" id="added" value=""> -->
				<?php
					if(OA_Dal_Delivery_numRows($select) > 0){ ?>
					<div style="float: right;">
						<input type="button" id="add_server" value="Add Server"/>
					</div>
				
					<?php
					}
					?>
				
					<table id="serverDetails">
				<?php
					if(OA_Dal_Delivery_numRows($select) > 0){
						while($row = OA_Dal_Delivery_fetchAssoc($select)){
							
				?>
						<tr class="row" hidden>
							<td>&nbsp;</td>
							<td class="bid">ID:</td>
							<td>&nbsp;</td>
							<td><input type="text" name="id[<?= $row['id'] ?>]" id="id_<?= $row['id'] ?>" value="<?= $row['id'] ?>" class="head-bid" placeholder="Enter account ID" required><br></td>
						</tr>
						<tr class="row">
							<td>&nbsp;</td>
							<td class="bid">Account ID:<span style="color:red;"> * </span></td>
							<td>&nbsp;</td>
							<td><input type="text" name="account_id[<?= $row['id'] ?>]" id="account_id_<?= $row['id'] ?>" value="<?= $row['account_id'] ?>" class="head-bid" placeholder="Enter account ID" required><br></td>
							
							<td rowspan="2"><input type="submit" name="submit[<?= $row['id'] ?>]" value="Update">
							<td rowspan="2"><input type="submit" name="submit[<?= $row['id'] ?>]" id="delete_<?= $row['id'] ?>" value="Delete">
							</td>
						</tr>
						<tr><br/></tr>
						<tr></tr>
						<tr>
							<td>&nbsp;</td>
							<td class="bid">Default Vendor:<span style="color:red;"> * </span></td>
							<td>&nbsp;</td>
							<td><input type="text" name="default_vendor[<?= $row['id'] ?>]" id="default_vendor_<?= $row['id'] ?>" value="<?= $row['default_vendor'] ?>" class="head-bid" placeholder="Enter default vendor" required></td>
						</tr>
						<tr><td>&nbsp;</td></tr>
						
					<?php 
						}
					}
					else{
						?>
						<tr class="row" hidden>
							<td>&nbsp;</td>
							<td class="bid">ID:</td>
							<td>&nbsp;</td>
							<td><input type="text" name="id[0]" id="id_0" value="0" class="head-bid" placeholder="Enter account ID" required><br></td>
						</tr>
						<tr class="row">
							<td>&nbsp;</td>
							<td class="bid">Account ID:<span style="color:red;"> * </span></td>
							<td>&nbsp;</td>
							<td><input type="text" name="account_id[0]" id="account_id_0" value="" class="head-bid" placeholder="Enter account ID" required><br></td>

							<!-- <td rowspan="2"><input type="submit" name="delete[0]" id="delete_0" value="Remove"> -->
						</tr>
						<tr><br/></tr>
						<tr></tr>
						<tr>
							<td>&nbsp;</td>
							<td class="bid">Default Vendor:<span style="color:red;"> * </span></td>
							<td>&nbsp;</td>
							<td><input type="text" name="default_vendor[0]" id="default_vendor_0" value="" class="head-bid" placeholder="Enter default vendor" required></td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="submit" name='submit[0]' value="submit"></td>
						</tr>
						<?php		
					}
					?>
					</table>
				</div>
				<hr/><br/>
				<div>
					<!-- <table>
						<tr>
							<td>&nbsp;</td>
							<td><input type="submit" name='submit' value="submit"></td>
						</tr>
					</table> -->
				</div>
			</div>
		</form>
		</div>
	</body>
</html>

<?php

// Display the page footer
phpAds_PageFooter();

?>
	

